/**
 * @file GPIO_ledRGB.h
 * @brief Funcoes relacionadas com o controle do ledRGB via GPIO
 * @author Wu Shin TIng
 * @date 06/09/2020
 */

#ifndef GPIO_LEDRGB_H_
#define GPIO_LEDRGB_H_

/**
 * @brief Dois estados booleanos
 */
typedef enum Booleana {
	HABILITA,      /**< verdadeiro/acende/ativa/fecha */
	DESABILITA     /**< falso/apaga/desativa/liga */
} BOOL;

/**
 * @brief inicializa o componente ledRGB
 */
void initGPIO_ledRGB();

/**
 * @brief inicializa o led vermelho do ledRGB
 */
void initGPIO_ledR();

/**
 * @brief inicializa led verde do led RGB
 */
void initGPIO_ledG();

/**
 * @brief inicializa led azul do led RGB
 */
void initGPIO_ledB();

/**
 * @brief seta o estado do led vermelho do componente ledRGB
 * @param[in] estado HABILITA/DESABILITA
 */
void GPIO_ledR(BOOL estado);

/**
 * @brief seta o estado do led verde do componente ledRGB
 * @param[in] estado HABILITA/DESABILITA
 */
void GPIO_ledG(BOOL estado);

/**
 * @brief seta o estado do led azul do componente ledRGB
 * @param[in] estado HABILITA/DESABILITA
 */
void GPIO_ledB(BOOL estado);

/**
 * @brief seta o estado dos componentes do ledRGB
 * @param[in] estado HABILITA/DESABILITA
 */
void GPIO_ledRGB(BOOL estado);

#endif /* GPIO_LEDRGB_H_ */
